ReferenceHTTP API
Analytics
curl -X GET "https://example.com/v1/analytics/catalog"{ "chart_types": [ "big_number" ], "dimensions": [ { "dimension": "agent_id", "label": "string" } ], "facets": [ { "dimension": "agent_id", "label": "string", "values": [ "string" ] } ], "metrics": [ { "default_chart_type": "big_number", "label": "string", "metric": "trace_count" } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/query" \ -H "Content-Type: application/json" \ -d '{ "metric": "trace_count" }'{ "group_by": null, "metric": "trace_count", "points": [ { "label": "string", "value": 0.1 } ], "total": 0.1}curl -X GET "https://example.com/v1/analytics/views"{ "views": [ { "config": { "filters": [ { "dimension": "agent_id", "values": [ "string" ] } ], "widgets": [ { "chart_type": "big_number", "group_by": null, "id": "string", "layout": { "h": 0, "w": 0, "x": 0, "y": 0 }, "metric": "trace_count", "title": "string" } ] }, "created_at": "string", "id": "string", "is_default": true, "name": "string", "updated_at": "string" } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/views" \ -H "Content-Type: application/json" \ -d '{ "config": { "filters": [ { "dimension": "agent_id", "values": [ "string" ] } ], "widgets": [ { "chart_type": "big_number", "id": "string", "metric": "trace_count", "title": "string" } ] }, "name": "string" }'{ "config": { "filters": [ { "dimension": "agent_id", "values": [ "string" ] } ], "widgets": [ { "chart_type": "big_number", "group_by": null, "id": "string", "layout": { "h": 0, "w": 0, "x": 0, "y": 0 }, "metric": "trace_count", "title": "string" } ] }, "created_at": "string", "id": "string", "is_default": true, "name": "string", "updated_at": "string"}Path Parameters
id*string
Saved dashboard view id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/analytics/views/string" \ -H "Content-Type: application/json" \ -d '{}'{ "config": { "filters": [ { "dimension": "agent_id", "values": [ "string" ] } ], "widgets": [ { "chart_type": "big_number", "group_by": null, "id": "string", "layout": { "h": 0, "w": 0, "x": 0, "y": 0 }, "metric": "trace_count", "title": "string" } ] }, "created_at": "string", "id": "string", "is_default": true, "name": "string", "updated_at": "string"}Path Parameters
id*string
Saved dashboard view id
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/analytics/views/string"Empty